Submit Member Status Match Application
1 min
POST
https://api.b.preview.loyaltyservices.io/api/v3/members/{memberIdentifier}/status-match/applications
memberIdentifierstringThe identifier for the member submitting the application
acceptstringGenerated from available response content types
X-Original-Client-IPstring<p>IP address of the system originating this request. The caller is responsible for supplying its own IP due to proxy/gateway network architecture.</p>
bodyobject<p>Request body for submitting a status match application. Uses StatusMatchImageReference (imageId only) for the images array rather than the full StatusMatchImage object, because the caller is referencing previously uploaded images rather than supplying image data. The response uses StatusMatchApplication, which returns full StatusMatchImage records. The caller's IP address is supplied via the X-Original-Client-IP request header.</p>
200Success
400Bad request
401Unauthorized
403Forbidden
404Not found
500Internal error
curl --request POST \
--url https://api.b.preview.loyaltyservices.io/api/v3/members/{memberIdentifier}/status-match/applications \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-original-client-ip: 172.56.199.152' \
--data '{
"externalProgram": "LuminaryRewards",
"externalProgramStatus": "Radiance",
"images": [
{
"imageId": 20087
}
]
}'